You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@apex.apache.org by an...@apache.org on 2015/09/14 18:35:56 UTC

[4/5] incubator-apex-site git commit: Updated build.sh, README, and modular section of home page

Updated build.sh, README, and modular section of home page


Project: http://git-wip-us.apache.org/repos/asf/incubator-apex-site/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-apex-site/commit/7a5e5123
Tree: http://git-wip-us.apache.org/repos/asf/incubator-apex-site/tree/7a5e5123
Diff: http://git-wip-us.apache.org/repos/asf/incubator-apex-site/diff/7a5e5123

Branch: refs/heads/master
Commit: 7a5e5123dfe47fba8d7f084d3a880653db3a88f2
Parents: 92ee7ed
Author: Andy Perlitch <an...@datatorrent.com>
Authored: Wed Sep 9 12:36:29 2015 -0700
Committer: Andy Perlitch <an...@datatorrent.com>
Committed: Wed Sep 9 12:43:08 2015 -0700

----------------------------------------------------------------------
 README.md            |  4 ++--
 build.sh             | 10 ++++++++++
 package.json         |  1 +
 src/pages/index.html |  4 ++--
 4 files changed, 15 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-apex-site/blob/7a5e5123/README.md
----------------------------------------------------------------------
diff --git a/README.md b/README.md
index 0c77eff..b1e5c30 100644
--- a/README.md
+++ b/README.md
@@ -50,8 +50,8 @@ Building (requires node+npm)
 ----------------------------
 Run `build.sh` from the directory. This will:
 
-- ensure the necessary npm dependencies are installed
-- updates the `asf-site` branch with a new commit of the build from the current branch
+- ensure the necessary npm and bower dependencies are installed
+- checks out and updates the `asf-site` branch with a new commit of the build from the current branch
 
 You must manually push to the `asf-site` remote branch.
 

http://git-wip-us.apache.org/repos/asf/incubator-apex-site/blob/7a5e5123/build.sh
----------------------------------------------------------------------
diff --git a/build.sh b/build.sh
index 211c6ea..3f9aa0b 100755
--- a/build.sh
+++ b/build.sh
@@ -1,9 +1,19 @@
+set -e
+echo "Installing npm dependencies..."
 npm install
+echo "Installing bower dependencies..."
+./node_modules/.bin/bower install
+echo "Building project..."
 ./node_modules/.bin/gulp
 cp -r content content_tmp
 COMMIT_HASH=`git rev-parse HEAD`
+echo "Build successful."
 git checkout asf-site
 rm -rf content
 mv content_tmp content
 git add content
+echo "Commiting changes to asf-site branch from master branch."
 git commit -m "from $COMMIT_HASH"
+echo "Build successful. You are now on the asf-site branch."
+echo "Run git push origin asf-site to update the live site."
+set +e
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-apex-site/blob/7a5e5123/package.json
----------------------------------------------------------------------
diff --git a/package.json b/package.json
index 6e9157e..896b3c7 100644
--- a/package.json
+++ b/package.json
@@ -21,6 +21,7 @@
   "author": "Andy Perlitch <an...@datatorrent.com>",
   "license": "Apache-2.0",
   "dependencies": {
+    "bower": "^1.5.2",
     "gulp": "^3.9.0",
     "gulp-compile-handlebars": "^0.5.0",
     "gulp-less": "^3.0.3",

http://git-wip-us.apache.org/repos/asf/incubator-apex-site/blob/7a5e5123/src/pages/index.html
----------------------------------------------------------------------
diff --git a/src/pages/index.html b/src/pages/index.html
index 56f2498..297e07d 100644
--- a/src/pages/index.html
+++ b/src/pages/index.html
@@ -23,8 +23,8 @@
     <p><a href="/docs.html">view the docs &raquo;</a></p>
   </div>
   <div class="col-md-4">
-    <h2>Modular &amp; Open-Source</h2>
-    <p><strong>The Apex platform is supplemented by project Malhar</strong>, a library of operators (modular units of business logic) that can be leveraged to quickly create new and non-trivial applications.</p>
+    <h2>Modular</h2>
+    <p><strong>The Apex platform is supplemented by the Apache Malhar project</strong>, a library of operators (modular units of business logic) that can be leveraged to quickly create new and non-trivial applications.</p>
     <p><a href="/community.html">community resources &raquo;</a></p>
   </div>
 </div>